aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteUserPolicy

Synopsis

- data DeleteUserPolicy = DeleteUserPolicy {
  - dupPolicyName :: Text
  - dupUserName :: Text
  }
- data DeleteUserPolicyResponse = DeleteUserPolicyResponse

# Documentation

data DeleteUserPolicy #

Deletes the specified policy associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteUserPolicy.html

Constructors

DeleteUserPolicy |

Fields

- dupPolicyName :: Text

  Name of the policy to be deleted.

- dupUserName :: Text

  Name of the user with whom the policy is associated.

#### Instances

Instances details

SignQuery DeleteUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ServiceConfiguration DeleteUserPolicy |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ServiceConfiguration DeleteUserPolicy = IamConfiguration

Methods

signQuery :: DeleteUserPolicy -> ServiceConfiguration DeleteUserPolicy queryType -> SignatureData -> SignedQuery #

Show DeleteUserPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods showsPrec :: Int -> DeleteUserPolicy -> ShowS # show :: DeleteUserPolicy -> String # showList :: [DeleteUserPolicy] -> ShowS #
Eq DeleteUserPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods (==) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool # (/=) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool #
Ord DeleteUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Methods

compare :: DeleteUserPolicy -> DeleteUserPolicy -> Ordering #

(<) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool #

(<=) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool #

(>) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool #

(>=) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool #

max :: DeleteUserPolicy -> DeleteUserPolicy -> DeleteUserPolicy #

min :: DeleteUserPolicy -> DeleteUserPolicy -> DeleteUserPolicy #

ResponseConsumer DeleteUserPolicy DeleteUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ResponseMetadata DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUserPolicy -> IORef (ResponseMetadata DeleteUserPolicyResponse) -> HTTPResponseConsumer DeleteUserPolicyResponse #

Transaction DeleteUserPolicy DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy
type ServiceConfiguration DeleteUserPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ServiceConfiguration DeleteUserPolicy = IamConfiguration

data DeleteUserPolicyResponse #

Constructors

DeleteUserPolicyResponse |

#### Instances

Instances details

AsMemoryResponse DeleteUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type MemoryResponse DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type MemoryResponse DeleteUserPolicyResponse = DeleteUserPolicyResponse

Methods

loadToMemory :: DeleteUserPolicyResponse -> ResourceT IO (MemoryResponse DeleteUserPolicyResponse) #

Show DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods showsPrec :: Int -> DeleteUserPolicyResponse -> ShowS # show :: DeleteUserPolicyResponse -> String # showList :: [DeleteUserPolicyResponse] -> ShowS #
Eq DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods (==) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool # (/=) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool #
Ord DeleteUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Methods

compare :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Ordering #

(<) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool #

(<=) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool #

(>) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool #

(>=) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool #

max :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> DeleteUserPolicyResponse #

min :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> DeleteUserPolicyResponse #

ResponseConsumer DeleteUserPolicy DeleteUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ResponseMetadata DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUserPolicy -> IORef (ResponseMetadata DeleteUserPolicyResponse) -> HTTPResponseConsumer DeleteUserPolicyResponse #

Transaction DeleteUserPolicy DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy
type MemoryResponse DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type MemoryResponse DeleteUserPolicyResponse = DeleteUserPolicyResponse
type ResponseMetadata DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata